[ 
https://issues.apache.org/jira/browse/PHOENIX-4571?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16397315#comment-16397315
 ] 

James Taylor commented on PHOENIX-4571:
---------------------------------------

FYI, I've pushed this to 4.x-HBase-1.1 as well. Not sure if it wasn't pushed to 
other branches too, but if you have a chance, please check [~elserj].

> phoenix-queryserver should directly depend on servlet-api
> ---------------------------------------------------------
>
>                 Key: PHOENIX-4571
>                 URL: https://issues.apache.org/jira/browse/PHOENIX-4571
>             Project: Phoenix
>          Issue Type: Bug
>            Reporter: Josh Elser
>            Assignee: Josh Elser
>            Priority: Critical
>             Fix For: 5.0.0-alpha, 4.14.0
>
>         Attachments: PHOENIX-4571.patch
>
>
> I think we missed explicitly adding the javax.servlet-api dependency on the 
> back of [~Wancy]'s work in PHOENIX-3598.
> We're using this directly in the PQS code, so we should have it as a direct 
> dependency. Noticed this as PQS ITs are failing on the 5.x branch. Should be 
> a simple fix.



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Reply via email to